Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359632 - [engine-webadmin-portal] Tool-tip is not displayed when hot-plug disk is not supported
Summary: [engine-webadmin-portal] Tool-tip is not displayed when hot-plug disk is not ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.2
Hardware: x86_64
OS: Unspecified
low
medium vote
Target Milestone: ovirt-4.0.2
: 4.0.2.2
Assignee: Daniel Erez
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On:
Blocks: 1351636
TreeView+ depends on / blocked
 
Reported: 2016-07-25 07:47 UTC by Elad
Modified: 2016-08-12 14:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 14:24:38 UTC
oVirt Team: Storage
rule-engine: ovirt-4.0.z+
rule-engine: exception+
ylavi: planning_ack+
amureini: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 61294 master MERGED webadmin: fix tool-tip for disk hot-plug buttons 2016-07-26 11:56:35 UTC
oVirt gerrit 61398 ovirt-engine-4.0 MERGED webadmin: fix tool-tip for disk hot-plug buttons 2016-07-26 19:40:24 UTC
oVirt gerrit 61400 ovirt-engine-4.0.2 MERGED webadmin: fix tool-tip for disk hot-plug buttons 2016-07-26 19:41:02 UTC

Description Elad 2016-07-25 07:47:47 UTC
Description of problem:
Webadmin: VMs->Disks: Tool-tip is not displayed while hovering over the 'deactivate' or 'activate' buttons for an IDE disk of a running VM (hot[un]plug is not supported for IDE) 

Version-Release number of selected component (if applicable):
rhevm-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-webadmin-portal-4.0.2-0.1.rc.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create a VM and start it
2. Wait for the VM to change its status to 'Up' and attach an IDE disk to it
3. Hover over the 'Activate' button of the IDE disk 

Actual results:
Tool-tip (Disk Activate/Deactivate while VM is running, isn't supported for all interfaces (e.g. IDE)) is not displayed 

Expected results:
Tool-tip should be displayed

Additional info:
Reproduced using Firefox and Chrome

Attached: Firefox console log, screenshot, engine.log and server.log

Comment 3 Kevin Alon Goldblatt 2016-08-03 12:39:59 UTC
2/8/16

Tested with the following code:
----------------------------------------
rhevm-4.0.2.3-0.1.el7ev.noarch
vdsm-4.18.9-1.el7ev.x86_64


Tested with the following scenario:


Steps to Reproduce:
1. Create a VM and start it
2. Wait for the VM to change its status to 'Up' and attach an IDE disk to it
3. Hover over the 'Activate' button of the IDE disk 

Actual results:
The Tool tip is displayed with the following message:
Disk Activate/Deactivate while VM is running, isn't supported for all interfaces (e.g. IDE))


Moving to VERIFIED!


Note You need to log in before you can comment on or make changes to this bug.